# $Revision: 1.16 $, $Date: 2001/11/22 12:42:22 $
Summary:	Collection of Free ATM Fonts
Summary(pl):	Kolekcja Darmowych Fontw ATM
Name:		freefonts
Version:	0.10
Release:	13
License:	free
Group:		X11/Fonts
Group(de):	X11/Fonts
Group(pl):	X11/Fonty
Source0:	ftp://sunsite.unc.edu/pub/Linux/X11/fonts/%{name}-%{version}.tar.gz
Source1:	%{name}.Fontmap
Prereq:		textutils
Prereq:		sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_t1pfmdir	%{_t1fontsdir}/pfm

%description
This is a collection of 78 freely available fonts. All of them were
found in the CICA archives for Windows. Some of them are missing
special characters, some only contain capitals, some contain special
alphabets. Be careful and check!

%description -l pl
To jest kolekcja 78 darmowych fontw. Wszystkie z nich zostay
znalezione w archiwach CICA dla Windows. Niektrym z nich brakuje
znakw specjalnych, inne zawieraj wycznie wielkie litery, a inne
znw zawieraj tylko znaki specjalne.

%prep
%setup -q -n freefont

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}
mkdir ans
tar xzf ans.tgz -C ans
install ans/*.afm $RPM_BUILD_ROOT%{_t1afmdir}
install ans/*.pfm $RPM_BUILD_ROOT%{_t1pfmdir}
install *.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
tail -n +2 fonts.dir > $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}

gzip -9nf README *.license

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap

%postun
cd %{_t1fontsdir}
rm -f fonts.scale.bak Fontmap.bak
cat fonts.scale.* 2>/dev/null | sort -u > fonts.scale.tmp
cat fonts.scale.tmp | wc -l | sed -e 's/ //g' > fonts.scale
cat fonts.scale.tmp >> fonts.scale
rm -f fonts.scale.tmp
ln -sf fonts.scale fonts.dir
cat Fontmap.* > Fontmap 2>/dev/null

%files
%defattr(644,root,root,755)
%doc {README,*.license}.gz
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1pfmdir}/*.pfm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: freefonts.spec,v $
Revision 1.16  2001/11/22 12:42:22  kloczek
- release 13.

Revision 1.15  2001/11/22 11:02:35  qboosh
- s/Copyright/License/

Revision 1.14  2001/04/15 20:23:57  qboosh
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed

Revision 1.13  2001/04/15 18:04:59  qboosh
- Type1 fonts go to %%{_fontsdir}/Type1, metrics to {afm,pfm} subdirs
- changed post/postun scripts
  (merge included fontmaps instead of generating broken by type1inst)

Revision 1.12  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.9  1999/09/04 21:26:10  pius
- added gzipping docs,
- cosmetics.

Revision 1.8  1999/07/12 23:05:56  kloczek

- added using CVS keywords in %changelog (for automating them).

* Tue Jan 26 1999 Micha Kuratczyk <kurkens@polbox.com>
  [0.10-12]
- changed "Group" to "X11/Utilities"
- added "Group(pl)

* Sat Sep 26 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [0.10-11]
- added pl translation.

* Thu Jul 23 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.10-10]
- added "Requires: type1inst >= 0.6.1",
- fixed %defattr.

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %%{name} macro in Buildroot and Source field.

* Fri Apr 17 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- Buildroot changed to /tmp/freefonts-%%{PACKAGE_VERSION}-root,
- added %%{PACKAGE_VERSION} to Source url,
- replaced "mkdir -p" with "install -d" in %install,
- simplification in %files,
- added beter font (un)registration in font.scale by using for this
  type1inst perl script (changed %post, %postun),
- added %defattr macro in %files (allows building package from
  non-root account); %defattr requires rpm >= 2.4.99.

* Tue Dec 9 1997 Peter Soos <sp@osb.hu>
Moved to noarch architecture
